HFST-COMPOSE-INTERSECT(1)

NAME
hfst-compose-intersect - =Compose a lexicon with one or more rule transducers.

SYNOPSIS
hfst-compose-intersect [OPTIONS...] [INFILE1 [INFILE2]]

DESCRIPTION
Compose a lexicon with one or more rule transducers.

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-1, --input1=INFILE1
    Read first input transducer from INFILE1

-2, --input2=INFILE2
    Read second input transducer from INFILE2

-C, --do-not-convert
    Do not allow transducers to be converted into the same type

-o, --output=OUTFILE
    Write results to OUTFILE

  Composition options:

-I, --invert
    Compose the intersection of the rules with the lexicon instead of composing the lexicon with the intersection of the rules.

-f, --fast
    Faster compose instersect using more memory.

-e, --encode-weights
    Encode weights when minimizing (default is false).

-a, --harmonize
    Harmonize symbols.

If OUTFILE, or either INFILE1 or INFILE2 is missing or -, standard streams will be used. INFILE1, INFILE2, or both, must be specified The format of INFILE1 and INFILE2 must be the same; the result will have the same format as these. INFILE1 (the lexicon) must contain exactly one transducer. INFILE2 (rule file) may contain several transducers.

EXAMPLES

    hfst-compose-intersect -o analyzer.hfst lexicon.hfst rules.hfst

compose rules with lexicon

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-compose-intersect home page: <https://github.com/hfst/hfst/wiki/HfstComposeIntersect>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.